View Issue Details

IDProjectCategoryView StatusLast Update
0004201Slicer4Core: Scripting (Wrapping, Python)public2018-03-02 11:06
ReporterjcfrAssigned Tohastings.greer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionSlicer 4.6.0Fixed in VersionSlicer 4.6.0 
Summary0004201: slicer.util.getNodes: Calling the function with argument return empty dictionnay
Description

Open Python interactor

Enter "slicer.util.getNodes()"

TagsNo tags attached.

Relationships

related to 0003674 closed slicer.util.getNodes fails when nodes have same name 
related to 0004186 resolvedfbudin utils.getNode function does not return all nodes in case of duplicate names 

Activities

jcfr

jcfr

2016-06-01 11:53

administrator   ~0013907

PR: https://github.com/Slicer/Slicer/pull/512

jcfr

jcfr

2016-06-01 12:36

administrator   ~0013910

Fixed in http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=25140

Note that I did a mistake and the authorship wasn't been maintained.

I documented the problem and it will be fix during the transition to full git.

See http://wiki.slicer.org/slicerWiki/index.php/Documentation/Labs/TransitionToGit#Authorship

jcfr

jcfr

2016-06-02 23:43

administrator   ~0013936

Commit r25140 introduced a regression now fixed in r25150
Landmark registration test is expected to pass.

Related Changesets

Import 2017-06-07 23:51:09: master c32a44f7

2016-06-01 12:28:14

jcfr

Details Diff
BUG: slicer.util.getNodes: Return MRML nodes by default. Fixes 0004201

From: Jean-Christophe Fillion-Robin <jchris.fillionr@kitware.com>

git-svn-id: http://svn.slicer.org/Slicer4/trunk@25140 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Applications/SlicerApp/Testing/Python/CMakeLists.txt Diff File
add - Base/Python/slicer/tests/test_slicer_util_getNodes.py Diff File
mod - Base/Python/slicer/util.py Diff File

Import 2017-06-07 23:51:09: master 8305abca

2016-06-02 23:40:03

jcfr

Details Diff
BUG: Fix LandmarkRegistration test updating slicer.util.getNode. See 0004201

This commit fixes a regression introduced in r25140 (BUG: slicer.util.getNodes:
Return MRML nodes by default. Fixes 0004201)

The method "getNode()" should *NOT* return a node if an empty pattern
is provided.

git-svn-id: http://svn.slicer.org/Slicer4/trunk@25150 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Applications/SlicerApp/Testing/Python/CMakeLists.txt Diff File
mod - Base/Python/slicer/tests/test_slicer_util_getNodes.py Diff File
mod - Base/Python/slicer/util.py Diff File

Issue History

Date Modified Username Field Change
2016-06-01 11:51 jcfr New Issue
2016-06-01 11:51 jcfr Status new => assigned
2016-06-01 11:51 jcfr Assigned To => jcfr
2016-06-01 11:51 jcfr Relationship added related to 0003674
2016-06-01 11:52 jcfr Relationship added related to 0004186
2016-06-01 11:52 jcfr Assigned To jcfr => hastings.greer
2016-06-01 11:53 jcfr Note Added: 0013907
2016-06-01 12:36 jcfr Note Added: 0013910
2016-06-01 12:38 jcfr Status assigned => resolved
2016-06-01 12:38 jcfr Fixed in Version => Slicer 4.6.0
2016-06-01 12:38 jcfr Resolution open => fixed
2016-06-02 23:43 jcfr Note Added: 0013936
2017-06-10 08:51 jcfr Changeset attached => Slicer master 8305abca
2017-06-10 08:51 jcfr Changeset attached => Slicer master c32a44f7
2018-03-02 11:06 jcfr Status resolved => closed